#ifndef _Handle_PGeom2d_Line_HeaderFile
#define _Handle_PGeom2d_Line_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Curve_HeaderFile
#include <Handle_PGeom2d_Curve.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Curve);
class PGeom2d_Line;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_Line);

class Handle(PGeom2d_Line) : public Handle(PGeom2d_Curve) {
  public:

    Handle(PGeom2d_Line)():Handle(PGeom2d_Curve)() {} 
    Handle(PGeom2d_Line)(const Handle(PGeom2d_Line)& aHandle) : Handle(PGeom2d_Curve)(aHandle) 
     {
     }

    Handle(PGeom2d_Line)(const PGeom2d_Line* anItem) : Handle(PGeom2d_Curve)((PGeom2d_Curve *)anItem) 
     {
     }

    Handle(PGeom2d_Line)& operator=(const Handle(PGeom2d_Line)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_Line)& operator=(const PGeom2d_Line* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_Line* operator->() const 
     {
      return (PGeom2d_Line *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_Line) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
